#
# spec file for package perl-FreezeThaw (Version 0.43)
#
# Copyright (c) 2005 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# norootforbuild

Name:         perl-FreezeThaw
License:      Artistic License
Group:        Development/Languages/Perl
URL:          http://cpan.org/
Requires:     perl = %{perl_version}
Autoreqprov:  on
Summary:      converting Perl structures to strings and back
Version:      0.43
Release:      2.4
Source:       http://cpan.org/modules/by-module/FreezeThaw/FreezeThaw-%{version}.tar.gz
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
Converts data to/from stringified form, appropriate for
saving-to/reading-from permanent storage.



Authors:
--------
    Ilya Zakharevich <cpan at ilyaz dot org>

%prep
%setup -n FreezeThaw-%{version}

%build
perl Makefile.PL
%{__make}

%install
%perl_make_install
%perl_process_packlist

%clean
[ "${RPM_BUILD_ROOT}" != "/" -a -d ${RPM_BUILD_ROOT} ] && rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-, root, root)
%{perl_vendorlib}/FreezeThaw.pm
%{perl_vendorarch}/auto/FreezeThaw
%{_mandir}/man3/FreezeThaw.3pm.gz
/var/adm/perl-modules/%{name}

%changelog
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Feb 16 2005 schwab@suse.de
- Don't remove BuildRoot in %%install.
* Wed Feb 16 2005 lmuelle@suse.de
- Initial SuSE package.
